summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-perl/MooseX-Role-WithOverloading/ChangeLog10
-rw-r--r--dev-perl/MooseX-Role-WithOverloading/Manifest14
-rw-r--r--dev-perl/MooseX-Role-WithOverloading/MooseX-Role-WithOverloading-0.03.ebuild27
-rw-r--r--dev-perl/MooseX-Role-WithOverloading/metadata.xml9
4 files changed, 60 insertions, 0 deletions
diff --git a/dev-perl/MooseX-Role-WithOverloading/ChangeLog b/dev-perl/MooseX-Role-WithOverloading/ChangeLog
new file mode 100644
index 000000000..d50cb1677
--- /dev/null
+++ b/dev-perl/MooseX-Role-WithOverloading/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/MooseX-Role-WithOverloading
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*MooseX-Role-WithOverloading-0.03 (23 Nov 2009)
+
+ 23 Nov 2009; Kent Fredric <kentfredric@gmail.com>
+ +MooseX-Role-WithOverloading-0.03.ebuild, +metadata.xml:
+ Added
+
diff --git a/dev-perl/MooseX-Role-WithOverloading/Manifest b/dev-perl/MooseX-Role-WithOverloading/Manifest
new file mode 100644
index 000000000..43547594a
--- /dev/null
+++ b/dev-perl/MooseX-Role-WithOverloading/Manifest
@@ -0,0 +1,14 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+DIST MooseX-Role-WithOverloading-0.03.tar.gz 12487 RMD160 c62aa94920b427e7cda1f77eb9c2fa76762a5a2f SHA1 caf5ebf2fbc6456a015a9c1925253cf37bcf0100 SHA256 fd291423ca434abc683fc0631abfbac6f01bcdbaa27d7c09113df0eb643b10bd
+EBUILD MooseX-Role-WithOverloading-0.03.ebuild 505 RMD160 de8fb2d499b5253676e5c54d66b88adb55e5dd92 SHA1 3d2814f3e0ae537ce5436d395dd36b7cfb8d8b7b SHA256 0747c52463558fa3ebd57a6bff32e4d6291e077f6b5771ea342881678077440d
+MISC ChangeLog 306 RMD160 be1f779e588e3eec670c07b0790c22ef6e8eabb3 SHA1 0622099c38e2db7a82025543b3e0f1bfe4a88261 SHA256 a75236def51373f30445967c2f364510a273dc413266c95df671fa1ef7e43612
+MISC metadata.xml 275 RMD160 d7980d8f5e665a018b30c566bba02d451db23047 SHA1 a7a485be470b9fbb06c3ce88dffce811ffce282c SHA256 45455d078243c6abc929fd08947c2728292cb506ca452ab4ec33221cd7cb6f6c
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.13 (GNU/Linux)
+
+iEYEARECAAYFAksKr1kACgkQ1aBWYMk6l06iMQCgu3JjvA11OCOSI+oZErq2cBuX
+zYEAn3s2Mftw+VJitqRu+vH+vP0BcNNm
+=aZJ4
+-----END PGP SIGNATURE-----
diff --git a/dev-perl/MooseX-Role-WithOverloading/MooseX-Role-WithOverloading-0.03.ebuild b/dev-perl/MooseX-Role-WithOverloading/MooseX-Role-WithOverloading-0.03.ebuild
new file mode 100644
index 000000000..51af2a9ee
--- /dev/null
+++ b/dev-perl/MooseX-Role-WithOverloading/MooseX-Role-WithOverloading-0.03.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=2
+MODULE_AUTHOR=FLORA
+inherit perl-module
+
+DESCRIPTION="Roles which support overloading"
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+COMMON_DEPEND="
+ dev-perl/namespace-clean
+ >=dev-perl/namespace-autoclean-0.09
+ dev-perl/MooseX-Types
+ dev-perl/aliased
+ >=dev-perl/Moose-0.90
+
+"
+DEPEND="
+ ${COMMON_DEPEND}
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+SRC_TEST="do"
diff --git a/dev-perl/MooseX-Role-WithOverloading/metadata.xml b/dev-perl/MooseX-Role-WithOverloading/metadata.xml
new file mode 100644
index 000000000..ccc7e0fdd
--- /dev/null
+++ b/dev-perl/MooseX-Role-WithOverloading/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>perl</herd>
+ <maintainer>
+ <email>kentfredric@gmail.com</email>
+ <name>Kent Fredric</name>
+ </maintainer>
+</pkgmetadata>